oracle.pgx.common.types

## Enum ReturnType

- java.lang.Object
- - java.lang.Enum<ReturnType>
  - - oracle.pgx.common.types.ReturnType

- All Implemented Interfaces:
    Serializable, Comparable<ReturnType>, Type

      public enum ReturnType
      extends Enum<ReturnType>
      implements Type

  All function return types supported

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BOOLEAN` Boolean return type
    `DATE` Date return type
    `DOUBLE` Double return type
    `FLOAT` Float return type
    `INTEGER` Integer return type
    `LONG` Long return type
    `STRING` String return type
    `VOID` Void return type

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Class<?>` | `getTypeClass()` Gets the type class.
    `static ReturnType` | `getTypeFor(Class<?> typeClass)` Returns the ReturnType based on a typeClass.
    `static ReturnType` | `parseReturnType(String input)` Parse ReturnType from a string value.
    `String` | `toKey()` Returns the key of this type as string.
    `String` | `toString()` Returns the key of this type as string.
    `static ReturnType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ReturnType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BOOLEAN

          public static final ReturnType BOOLEAN

      Boolean return type

    - #### DATE

          public static final ReturnType DATE

      Date return type

    - #### DOUBLE

          public static final ReturnType DOUBLE

      Double return type

    - #### FLOAT

          public static final ReturnType FLOAT

      Float return type

    - #### INTEGER

          public static final ReturnType INTEGER

      Integer return type

    - #### LONG

          public static final ReturnType LONG

      Long return type

    - #### STRING

          public static final ReturnType STRING

      String return type

    - #### VOID

          public static final ReturnType VOID

      Void return type

  - ### Method Detail

    - #### getTypeClass

          public Class<?> getTypeClass()

      Description copied from interface: `Type`
      Gets the type class.
      Specified by:
        `getTypeClass` in interface `Type`
      Returns:
        the Java class this type maps to

    - #### getTypeFor

          public static ReturnType getTypeFor(Class<?> typeClass)

      Returns the ReturnType based on a typeClass.
      Parameters:
        `typeClass` - Use this typeClass to derive the ReturnType
      Returns:
        The ReturnType that belongs to this typeClass

    - #### parseReturnType

          public static ReturnType parseReturnType(String input)

      Parse ReturnType from a string value.
      Parameters:
        `input` - Value to use to parse an ReturnType from. You can use the output of `toString()` as input.
      Returns:
        The ReturnType derived from the string input.

    - #### toKey

          public String toKey()

      Description copied from interface: `Type`
      Returns the key of this type as string.
      Specified by:
        `toKey` in interface `Type`
      Returns:
        a JSON string representation of this type

    - #### toString

          public String toString()

      Returns the key of this type as string. See `toKey()`.
      Overrides:
        `toString` in class `Enum<ReturnType>`
      Returns:
        the String representation of this type, which is the enum key.

    - #### valueOf

          public static ReturnType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### values

          public static ReturnType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ReturnType c : ReturnType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

Copyright © 2015. All rights reserved.